com.tibco.tibems.ufo

## Class TibjmsUFOQueue

- java.lang.Object
- - TibjmsUFODestination
  - - com.tibco.tibems.ufo.TibjmsUFOQueue

- All Implemented Interfaces:
    java.lang.Cloneable, Destination, Queue

      public class TibjmsUFOQueue
      extends TibjmsUFODestination
      implements Queue, java.lang.Cloneable

  Implementation of javax.jms.Queue which can be used for administrative purposes.
  Normally JMS applications lookup Queue objects via JNDI calls. This class can be used by the administrator application if it is required to store TibjmsUFOQueue objects in the 3rd party JNDI store such as LDAP or similar.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TibjmsUFOQueue()` Constructs a new TibjmsUFOQueue object.
    `TibjmsUFOQueue(java.lang.String address)` Constructs a new TibjmsUFOQueue object with the given address.
    `TibjmsUFOQueue(java.lang.String address, java.lang.String jndiName)` Internal constructor.
    `TibjmsUFOQueue(TibjmsQueue queue)` Constructs a new TibjmsUFOQueue object with the given TibjmsQueue object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getAddress()` Gets the address of this queue.
    `java.lang.String` | `getQueueName()` Gets the name of this queue.
    `void` | `setAddress(java.lang.String address)` Sets the address of this queue.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Queue

      `toString`

- - ### Constructor Detail

    - #### TibjmsUFOQueue

          public TibjmsUFOQueue()

      Constructs a new TibjmsUFOQueue object.

    - #### TibjmsUFOQueue

          public TibjmsUFOQueue(java.lang.String address)

      Constructs a new TibjmsUFOQueue object with the given address.
      Parameters:
        `address` - address of the queue

    - #### TibjmsUFOQueue

          public TibjmsUFOQueue(java.lang.String address,
                                java.lang.String jndiName)

      Internal constructor.

    - #### TibjmsUFOQueue

          public TibjmsUFOQueue(TibjmsQueue queue)

      Constructs a new TibjmsUFOQueue object with the given TibjmsQueue object.
      Parameters:
        `queue` - object of TibjmsQueue

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getQueueName

          public java.lang.String getQueueName()
                                        throws JMSException

      Description copied from interface: `Queue`
      Gets the name of this queue.

      Clients that depend upon the name are not portable.

      Specified by:
        `getQueueName` in interface `Queue`
      Returns:
        the queue name
      Throws:
        `JMSException` - if the JMS provider implementation of `Queue` fails to return the queue name due to some internal error.

    - #### getAddress

          public java.lang.String getAddress()

      Gets the address of this queue. Address and name are synonyms.
      Returns:
        the queue's address

    - #### setAddress

          public void setAddress(java.lang.String address)
                          throws JMSException

      Sets the address of this queue. Address and name are synonyms.
      Example:
      `TibjmsUFOQueue queue = new TibjmsUFOQueue();
      queue.setAddress("queue.sample");`
      Parameters:
        `address` - the string representing the address, or name, of this queue
      Throws:
        `JMSException` - if the address has already been set

Copyright © Cloud Software Group, Inc. All rights reserved